Radeon driver update

  Marty1 23:35 03 Mar 06
Locked

I am having trouble running Toca Race Driver and the manufacturer suggests my ATI Radeon Express 200 series driver needs updating. I am confused by the ATI website (telling them so got me nowhere) so I am not sure what file to download to update my driver. Can anyone help please and do I need to ditch the present driver first or does it just override? Win XP SP2.

  rdave13 00:11 04 Mar 06

Before installing new drivers you mst delete old ones. click here Look for the catalyst drivers(ati)

  stubrow 00:49 04 Mar 06

use the ati website .click on the links to download the latest driver you will come across a link which which says ati uninstaller .download and use .then install new driver.

  Stuartli 01:28 04 Mar 06

The latest ATi, which has been out for a while, is Version 6.2.

You really only need the driver rather than the Control Centre.

Excellent advice on ATi card drivers installation and configuration (as well as nVidia) can be found at click here

  lamda 10:21 04 Mar 06

to my postings

  Hertz Van Rentyl 10:51 04 Mar 06

You may well have the ATI uninstaller already on your machine, look in Add/Revove programmes for ATI software uninstall utility. You can get latest and all previous versions of catalyst here.
click here

  Hertz Van Rentyl 10:57 04 Mar 06

Do you know which version you have at the moment?

  Hertz Van Rentyl 11:01 04 Mar 06

Display driver only,get it from box labelled "Dial up" works ok with broadband.
click here

  Stuartli 11:46 04 Mar 06

That is for version 6.2 which I mentioned earlier.

I just use this driver with my Radeon card as I'm not interested in the other bells and whistles.

This is the page from which the driver can be downloaded (plus the bells and whistles if really wanted):

click here

  Stuartli 11:48 04 Mar 06

Marty 1

If you follow the advice given in the TweakGuides link I provided, which involves clearing out all existing ATi drivers, then you will have a "clean" install of Version 6.2.

  Hertz Van Rentyl 12:39 04 Mar 06

Yes I know and if you open some of the click heres you will see that there has been some duplication of information. Some people do not need the "latest drivers" to rectify their problems. I was trying to explain if the latest display only driver was required that it needs to be got in a certain way as the broadband version dollops the lot including the "bells and whistles". He in fact may want the "bells and whistles"

This thread is now locked and can not be replied to.

Huawei P10 review

1995-2015: How technology has changed the world in 20 years

An overview: What leading creative agencies are doing to improve diversity

New iPad, iPhone SE & Red iPhone 7 on sale now